## gcpegg 5.1

=== Makefile ===

#   Debug options you can define on the following line:

#	-DALT_UI    --	Select an alternative user interface
#			that doesn't require curses.  This allows
#			running an egg even if there's a problem
#			with terminal configuration.
#
#	-DDEBUG     --	General debug output
#
#	-DHEXDUMP   --	Dump network packets sent and received
#			in hexadecimal, identifying the recipient
#			or sender by IP address.  Handy when
#			tracking down byte alignment problems.
#
#	-DNICE=x    --	Priority increment (positive value) which
#			eggsh raises to while collecting data when
#			run by super-user.  Default is 10.  Setting
#			-DNICE=0 disables the priority adjustment
#			mechanism.
#
#	-DNO_UI     --	Disable user interface in the egg.  This
#			is handy when you want to watch other
#			debug output.
#
#	-DPACKETDUMP -- Interpreted dump of packets.
#
#	-DSTORAGE_DEBUG  -- Debug output from storage.c database
#			functions.
#
#	-DTESTPORT  --	Use EGGPORT = 2074, BASKETPORT = 2075.
#			This permits testing an experimental
#			version of eggsh and basket on a machine
#			which is running production version(s)
#			on the standard ports.
#
#	-DUSLEEP    --	Use a built-in emulation of usleep()
#			based on setitimer() instead of the
#			system library function (which may not
#			exist on all flavours of Unix).

#DEBUGOPTIONS = -DDEBUG -DPACKETDUMP -DTESTPORT -DHEXDUMP -DNO_UI -DSTORAGE_DEBUG

#DEBUGOPTIONS = -DTESTPORT -DDEBUG -DPACKETDUMP -DNO_UI -DALT_UI

#DEBUGOPTIONS = -DTESTPORT

#DEBUGOPTIONS =

#DEBUGOPTIONS = -DTESTPORT -DALT_UI -DNO_UI

#DEBUGOPTIONS = -DDEBUG -DALT_UI -DNO_UI

#DEBUGOPTIONS = -DDEBUG -DNO_UI -DHEXDUMP

# Build for throop/Orion egg
#DEBUGOPTIONS = -DNO_UI -DALT_UI -DDEBUG -DUSLEEP -DFLUSH

# Current debug options
#DEBUGOPTIONS = -DNO_UI -DALT_UI -DDEBUG -DTESTPORT

DEBUGOPTIONS = -DREPORT=1 -DEGG_DYNAMIC

#   For Linux with GCC
CC = gcc
PFLAGS = -g -ansi -Wall -DLinux -DUSLEEP -D_GNU_SOURCE
LIBS = -lncurses

#   For Solaris 2.6 with Sun compiler
#CC = cc
#PFLAGS = -g -DSolaris
#LIBS = -lcurses -lsocket -lnsl

#   Silicon Graphics Irix 5.3 with SGI compiler.  Yes
#   we do define "Solaris" along with "Irix" for such a build.
#CC = cc
#PFLAGS = -g -DSolaris -DIrix -DUSLEEP
#LIBS = -lcurses

CFLAGS = $(PFLAGS) $(DEBUGOPTIONS)

HWOBJ = reg_orion.o reg_pear.o reg_pseudo.o
APPOBJ = storage.o network.o crc16.o genlib.o xdsub.o
EGGOBJ = egg.o eggui.o lecuyer.o usleep.o
BASKETOBJ = basket.o
TESTOBJ = testmain.o

PROGRAMS = eggsh basket regtest

default: $(PROGRAMS)

all: $(PROGRAMS) tarballs

eggsh:	$(EGGOBJ) $(HWOBJ) $(APPOBJ)
	$(CC) $(CFLAGS) -o eggsh $(EGGOBJ) $(HWOBJ) $(APPOBJ) $(LIBS)

examine: $(APPOBJ) examine.o
	$(CC) $(CFLAGS) -o examine storage.o crc16.o genlib.o examine.o

basket: $(BASKETOBJ) $(APPOBJ)
	$(CC) $(CFLAGS) -o basket $(BASKETOBJ) $(APPOBJ) $(LIBS)

tarballs: $(PROGRAMS)
	tar czf eggware.tgz sample.eggrc eggsh regtest README
	tar czf eggsrc.tgz  sample.eggrc sample.basketrc $(PROGRAMS) README Makefile *.c *.h

test:	eggsh
	eggsh 1 9600 200 10 10

clean:
	rm -f $(PROGRAMS) *.o *.bak .*.bak core dumpreg.dat egg.status eggsample.pid

cleandata:
	rm -rf 199*-*

basket.o: basket.c global.h genlib.h storage.h network.h version.h

#collect.o: collect.c global.h genlib.h regs.h collect.h

egg.o: egg.c global.h genlib.h storage.h network.h regs.h version.h

eggui.o: eggui.c global.h genlib.h errnos.h eggui.h regs.h version.h

global.h: byteorder.h

hw_pear.o: hw_pear.c global.h genlib.h

lecuyer.o: lecuyer.c

network.o: network.c global.h genlib.h network.h

regs.h: reg.h

reg_orion.o: reg_orion.c reg.h

reg_pear.o: reg_pear.c reg.h

reg_pseudo.o: reg_pseudo.c reg.h lecuyer.h

storage.o: storage.c global.h genlib.h storage.h

usleep.o: usleep.c

=== debian/changelog ===
gcpegg (5.1-17) unstable; urgency=medium

  * QA Upload
  * Build with "Rules-Requires-Root: no" (Closes: #1089334)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 15:41:13 +0100

gcpegg (5.1-16) unstable; urgency=medium

  * orphan the package

 -- Bdale Garbee <bdale@gag.com>  Sat, 17 Feb 2024 12:46:20 -0700

gcpegg (5.1-15) unstable; urgency=medium

  * switch to systemd service file and udev rule, allows removing the
    dependency on openvt and all the related weird behaviors

 -- Bdale Garbee <bdale@gag.com>  Sat, 26 Oct 2019 16:58:58 -0600

gcpegg (5.1-14) unstable; urgency=medium

  * patch debian/rules to make build reproducible, closes: #777416
  * source init functions
  * use dh_prep instead of the deprecated dh_clean -k
  * update to current standards version

 -- Bdale Garbee <bdale@gag.com>  Mon, 15 Aug 2016 00:29:40 -0400

gcpegg (5.1-13) unstable; urgency=low

  * merge 64-bit fixes from Fernando Lucas Rodriguez <fernando_lr@terra.es>,
    closes: #680014
  * fix additional 64-bit isms in the UI code
  * revise dependency to be kbd | console-tools to ease backport support
  * unqualify openvt path in init.d to tolerate /bin or /usr/bin
  * enable the use of USB serial ports, etc, by making eggsh always open
    /dev/REG, which is now assumed to be a symlink to the actual device

 -- Bdale Garbee <bdale@gag.com>  Tue, 03 Jul 2012 15:21:57 -0600

gcpegg (5.1-12) unstable; urgency=low

  * change dep to get 'open' from console-tools to kbd, closes: #671082

 -- Bdale Garbee <bdale@gag.com>  Thu, 03 May 2012 11:43:39 -0600

gcpegg (5.1-11) unstable; urgency=low

  * add Vcs entries to the control file
  * change dep from open to console-tools
  * change arch to linux-any to avoid kfreebsd folk thinking this package
    is worth spending any time on, closes: #648362

 -- Bdale Garbee <bdale@gag.com>  Thu, 10 Nov 2011 13:49:00 -0700

gcpegg (5.1-10) unstable; urgency=low

  * add a purge target to the init.d script, closes: #367123
  * merge patch that adds support for Debian/kfreebsd, closes: #414405
  * rename 'basket' to 'gcpbasket' to avoid package conflict, closes: #420632
  * add LSB structure to init.d
  * update standards version

 -- Bdale Garbee <bdale@gag.com>  Sat, 28 Apr 2007 11:01:23 -0600

gcpegg (5.1-9) unstable; urgency=low

  * use fully qualified pathnames in init.d, addresses another part of 347778

 -- Bdale Garbee <bdale@gag.com>  Fri, 14 Apr 2006 23:36:52 -0600

gcpegg (5.1-8) unstable; urgency=low

  * move to newer debhelper compatibility level, closes: #328793, #359417
  * add -f to openvt invocation in init.d, and create a README.debian with
    firewalling information, at suggestion of Fernando Lucas Rodriguez
  * improve the existence check in init.d, addresses part of 347778
  * add text to README.debian about know problems on at least amd64

 -- Bdale Garbee <bdale@gag.com>  Fri, 14 Apr 2006 23:32:30 -0600

gcpegg (5.1-7) unstable; urgency=low

  * change build dependency to use libncurses-dev, closes: #101655
  * various packaging cleanups for things lintian discovered
  * augment list of header files included, to eliminate implicit declarations

 -- Bdale Garbee <bdale@gag.com>  Sun, 22 Jul 2001 23:59:25 -0600

gcpegg (5.1-6) unstable; urgency=low

  * use 'openvt' instead of 'open' in init.d since that's canonical now,
    closes: #53180
  * update sample eggrc file to reflect current protocol, closes: #79545

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Dec 2000 12:24:57 -0700

gcpegg (5.1-5) unstable; urgency=low

  * fix inconsistent virtual terminal number in init.d script

 -- Bdale Garbee <bdale@gag.com>  Wed, 15 Dec 1999 17:39:17 -0700

gcpegg (5.1-4) unstable; urgency=low

  * add a missing item to build dependencies

 -- Bdale Garbee <bdale@gag.com>  Sun,  5 Dec 1999 20:41:31 -0700

gcpegg (5.1-3) unstable; urgency=low

  * update to current policy

 -- Bdale Garbee <bdale@gag.com>  Wed,  1 Dec 1999 23:48:50 -0700

gcpegg (5.1-2) unstable; urgency=low

  * move the display to virtual terminal 8, which is unlikely to get in
    the way of anthing else going on.  Thanks to Craig Sanders for the
    suggestion.

 -- Bdale Garbee <bdale@gag.com>  Mon, 10 May 1999 07:38:23 -0600

gcpegg (5.1-1) unstable; urgency=low

  * Initial Release.
  * add init.d fragment to auto-launch, uses 'open' and puts the program
    on virtual terminal 2.  This may not make everyone happy, but is good
    enough for now.

 -- Bdale Garbee <bdale@gag.com>  Sun,  9 May 1999 20:06:40 -0600

=== debian/control ===
Source: gcpegg
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 5), libncurses-dev
Rules-Requires-Root: no
Standards-Version: 4.4.1
Vcs-Git: git://git.gag.com/debian/gcpegg
Vcs-Browser: https://git.gag.com/?p=debian/gcpegg

Package: gcpegg
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Global Consciousness Project EGG Software
 The GCP studies data from random event generators in widely distributed
 locations, to discern non-random patterns that may result from the
 interaction of human consciousness with the generators.
 .
 This package provides the software required to operate a random event
 generator and return data to the project.  Unless you are registered
 with the GCP and have received event generator hardware, this package
 will be useless to you.  If you have no idea what this means, don't
 bother installing this package!
 .
 More GCP information is available at http://global-mind.org

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_prep
	dh_installdirs
	/usr/bin/install -m 0755 eggsh debian/gcpegg/usr/sbin
	/usr/bin/install -m 0755 regtest debian/gcpegg/usr/sbin
	/usr/bin/install -m 0755 basket \
		debian/gcpegg/usr/sbin/gcpbasket
	/usr/bin/install -m 0644 eggrc.sample \
		debian/gcpegg/etc/eggrc
	/usr/bin/install -m 0644 debian/gcpegg.1 \
		debian/gcpegg/usr/share/man/man1/gcpegg.1
	gzip -9n debian/gcpegg/usr/share/man/man1/gcpegg.1
	( cd debian/gcpegg/usr/share/man/man1 ; \
                ln gcpegg.1.gz gcpbasket.1.gz ;\
                ln gcpegg.1.gz eggsh.1.gz ;\
                ln gcpegg.1.gz regtest.1.gz )
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_systemd_start
	dh_systemd_enable
	dh_installudev
	dh_installcron
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary binary-arch binary-indep
